> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shorpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workspace contract



## OpenAPI

````yaml /api-reference/openapi.json get /contracts/{id}
openapi: 3.1.0
info:
  title: Shor Public API
  version: 1.0.0
servers:
  - url: /v1
security: []
paths:
  /contracts/{id}:
    get:
      summary: Get a workspace contract
      operationId: getContract
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  title:
                    type: string
                  employmentType:
                    type: string
                    enum:
                      - employee
                      - contractor
                  contractType:
                    type: string
                    enum:
                      - employment_at_will
                      - contractor_fixed
                      - contractor_milestone
                      - contractor_payg
                  status:
                    type: string
                    enum:
                      - draft
                      - pending_verification
                      - ready_for_signature
                      - pending_signature
                      - signed
                      - active
                      - offboarding
                      - completed
                      - cancelled
                  worker:
                    type: object
                    properties:
                      id:
                        anyOf:
                          - type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - type: 'null'
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                    additionalProperties: false
                  startDate:
                    anyOf:
                      - type: string
                        format: date
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                      - type: 'null'
                  endDate:
                    anyOf:
                      - type: string
                        format: date
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  updatedAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  deletedAt:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                required:
                  - id
                  - title
                  - employmentType
                  - contractType
                  - status
                  - worker
                  - startDate
                  - endDate
                  - createdAt
                  - updatedAt
                  - deletedAt
                additionalProperties: false
        '400':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````